<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.job.Job
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.job.Job";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/job/class-use/Job.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Job.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.job.Job</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.job"><B>ch.javasoft.job</B></A></TD>
<TD>The <tt>job</tt> package contains classes for the execution of 
<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>jobs</CODE></A>, something similar to Java's 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>runnable</CODE></A>, but adding support for return values and
exception handling; they can be processed in the current
thread, in its own thread or even in an own system process 
(see <A HREF="../../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>).&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.job"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A> in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> with type parameters of type <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/AbstractJobProcessor.html" title="class in ch.javasoft.job">AbstractJobProcessor&lt;JR,R,J extends Job&lt;? extends JR&gt;&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An abstract implementation of <A HREF="../../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A>, mainly implementing 
 <A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job"><CODE>JobTerminationHandler</CODE></A> support.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job">JobProcessor&lt;JR,R,J extends Job&lt;? extends JR&gt;&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JobProcessor</code> is a generic interface which is implemented
 by different processors, which process jobs in different manners, e.g.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> that implement <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/AbstractJob.html" title="class in ch.javasoft.job">AbstractJob&lt;R&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>AbstractJob</code> is an abstract base implementation for most jobs 
 implementing both <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A> and <A HREF="../../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><CODE>Executable</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job">ExecJob</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An <code>ExecJob</code> represents a command line executable, such as those
 being passed to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A> and related methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/PipeJob.html" title="class in ch.javasoft.job">PipeJob</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <tt>PipeJob</tt> pipes an input stream to an output stream, i.e.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> that return <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;R&gt; <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;R&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>Jobs.</B><B><A HREF="../../../../ch/javasoft/job/Jobs.html#create(java.util.concurrent.Callable)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/Callable.html" title="class or interface in java.util.concurrent">Callable</A>&lt;R&gt;&nbsp;callable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new executable from the given callable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Jobs.</B><B><A HREF="../../../../ch/javasoft/job/Jobs.html#create(java.lang.Runnable)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang">Runnable</A>&nbsp;runnable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new executable from the given runnable.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> with parameters of type <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;R&gt; <A HREF="../../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;R&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>Executables.</B><B><A HREF="../../../../ch/javasoft/job/Executables.html#create(ch.javasoft.job.Job)">create</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;R&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new executable from the given job.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html" title="type parameter in NewThreadJobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NewThreadJobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html#exec(ch.javasoft.job.Job)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html" title="type parameter in NewThreadJobProcessor">R</A>&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CurrentThreadJobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html#exec(ch.javasoft.job.Job)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Since executed in the current thread, this method blocks until completion
 just like <A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html#execAndWait(ch.javasoft.job.Job)"><CODE>CurrentThreadJobProcessor.execAndWait(Job)</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CurrentThreadJobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html#execAndWait(ch.javasoft.job.Job)">execAndWait</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>JobTerminationHandler.</B><B><A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html#terminated(ch.javasoft.job.Job, R)">terminated</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&nbsp;job,
                     <A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html" title="type parameter in JobTerminationHandler">R</A>&nbsp;result)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Notification method for successful job execution termination.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>JobTerminationHandler.</B><B><A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html#terminatedByException(ch.javasoft.job.Job, java.lang.Throwable)">terminatedByException</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&nbsp;job,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&nbsp;exception)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Notification method for exceptional job execution termination
 Note: this method should not throw exceptions, see class comments.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> with parameters of type <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobD)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobD)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobD)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job, ch.javasoft.job.Job)">MultiJobExecutable</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobA,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobB,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobC,
                                     <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&nbsp;jobD)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> with type arguments of type <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#MultiJobExecutable(java.lang.Iterable)">MultiJobExecutable</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&gt;&nbsp;jobs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/job/class-use/Job.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Job.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
